/*
* anonymoX client
* 	for Firefox
* 
* Author 	Nils Hügelmann	<nils@anonymox.net>
* Author 	Florian Prott	<florian@anonymox.net>
* Author 	Christian Otto	<chris@anonymox.net>
*
* www.anonymox.net
* 
* License: CC BY-NC-ND 3.0, see LICENSE.TXT or http://creativecommons.org/licenses/by-nc-nd/3.0/
* 
* Use at your own risk
* 
* This is the released, uncommented version of the code.
*/


"use strict";


var state = {
		isStarting : false,				
		isLoaded : false,				
		isReady : false,				
		wasAlreadyActive : false,		
		offDueToFailure : false,		
		systemState : undefined,		
		localExternalInfo : undefined,	
		adBoxInfo : undefined,
		
		resetAll : function() {
			state.isStarted = false;
			state.isReady = false;
			state.wasAlreadyActive = false;
			state.offDueToFailure = false;
			state.localExternalInfo = undefined;
			state.adBoxInfo = undefined;
		},

		systemStates : {
			
			loading : { name : "loading" },
			disabled : { name : "disabled" },
			error : { name : "error" },
			ready : { name : "ready" }
		},
		
		init : function() {
			state.systemStates.disabled.tString = localize("statusDisabled");
			state.systemStates.loading.tString = localize("statusLoading");
			state.setSystemState(state.systemStates.loading);
		},
		
		setSystemState : function(status) {
			state.systemState = status;
			ui.systemStateUpdateHook(status);
		}
};
